
#ifndef _CONFIG_APP_H
#define _CONFIG_APP_H

#include <ZW_classcmd.h>

#define APP_VERSION                         2
#define APP_REVISION                        1
#define APP_PATCH                           0

#define APP_MANUFACTURER_ID            0x0000
#define APP_PRODUCT_ID                      1

/* This is from ZAF_ApplicationUtilities/ZW_product_id_enum.h. */
enum _PRODUCT_TYPE_ID_ENUM_ {
  PRODUCT_TYPE_ID_ZWAVE_ZIP_GATEWAY = 1,
  PRODUCT_TYPE_ID_ZWAVE,
  PRODUCT_TYPE_ID_ZWAVE_PLUS,
  PRODUCT_TYPE_ID_ZWAVE_PLUS_V2
};

#define GENERIC_TYPE            GENERIC_TYPE_SENSOR_MULTILEVEL
#define SPECIFIC_TYPE           SPECIFIC_TYPE_NOT_USED
#define DEVICE_OPTIONS_MASK     APPLICATION_NODEINFO_LISTENING

/**!!!**/
/* Eventually these go in config_rf.h. */

#define MAX_TXPWR               0
#define MEASURED_0DBM_TXPWR     33


#endif   /* _CONFIG_APP_H */
